View Issue Details

IDProjectCategoryView StatusLast Update
0002823VALENTINA SERVERSQLpublic2007-11-06 04:24
ReporterBart PietercilAssigned ToIvan Smahin 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.5 
Summary0002823: Stored procedure not executed
DescriptionOn 29/10/07 6:10 PM, "Bart Pietercil" <bart.pietercil@gmail.com> wrote:

Hi Ruslan,

we are breaking our head all afternoon over this problem

this stored procedure

create or replace procedure cm_SetConnectionVars(in long_anID Long)
Begin
SET @user_id = long_anID;
SET @curr_org = SELECT objptr_organisation FROM tbl_users WHERE recid =
@user_id;
Exception
when others THEN
call cm_CoreErrorHandler('cm_SetConnectionVars');
end;

works when called from VStudio like this

CALL cm_SetConnectionVars(1);
SELECT @user_id as userid, @curr_org as org;

result is cursor with userid = 1 and org = 1

BUT when the same function is called via VPHP like this

<?php
ini_set("error_reporting",E_ALL);
ini_set("display_errors",1);
$connectionID = valentina_connect("localhost:15433", "sa", "sa", "");
valentina_select_db("core_bb_v8", $connectionID);
valentina_query("CALL cm_SetConnectionVars('1');");
$res = valentina_query("select @curr_org as org");
$obj = valentina_fetch_object($res);
echo "org: " . $obj->org;
?>


we get no result but we see a warning
Warning: Unknown list entry type in request shutdown (-1) in Unknown on line 0

Any ideas ?

Sounds like a bug of VPHP.

Kirill, please try reproduce this ASAP

Additional Informationattached the db with the problematic procedure. In order to test you need to insert 1 organisation (tbl_organisations) and 1 user in tbl_users. Then you can run the cm_SetConnectionVars() with as argument the recid of the new user. The php page then should return the @curr_org
TagsNo tags attached.

Activities

2007-10-29 11:11

 

core_bb_v3.vdb (409,600 bytes)
Ruslan Zasukhin

Ruslan Zasukhin

2007-10-29 13:04

administrator   ~0002879

bug is in vserver layer.

Issue History

Date Modified Username Field Change
2007-10-29 11:11 Bart Pietercil New Issue
2007-10-29 11:11 Bart Pietercil File Added: core_bb_v3.vdb
2007-10-29 12:59 Ruslan Zasukhin Project ADK-VPHP => VALENTINA SERVER
2007-10-29 13:04 Ruslan Zasukhin Assigned To => Ivan Smahin
2007-10-29 13:04 Ruslan Zasukhin Status new => confirmed
2007-10-29 13:04 Ruslan Zasukhin Note Added: 0002879
2007-11-06 04:24 Ivan Smahin Status confirmed => resolved
2007-11-06 04:24 Ivan Smahin Fixed in Version => 3.5
2007-11-06 04:24 Ivan Smahin Resolution open => fixed